# LDAP Account Manager

# lib/fpdf.php

## Constants

### FPDF_VERSION = '1.7'

## Classes

### FPDF

# Properties

Extends
Implements
Abstract
No
Final
No

#### Description

#### Methods

AcceptPageBreak, AddFont, AddLink, AddPage, AliasNbPages, Cell, Close, Error, FPDF, Footer, GetStringWidth, GetX, GetY, Header, Image, Line, Link, Ln, MultiCell, Open, Output, PageNo, Rect, SetAuthor, SetAutoPageBreak, SetCompression, SetCreator, SetDisplayMode, SetDrawColor, SetFillColor, SetFont, SetFontSize, SetKeywords, SetLeftMargin, SetLineWidth, SetLink, SetMargins, SetRightMargin, SetSubject, SetTextColor, SetTitle, SetTopMargin, SetX, SetXY, SetY, Text, Write, _UTF8toUTF16, _beginpage, _checkoutput, _dochecks, _dounderline, _enddoc, _endpage, _escape, _getpagesize, _loadfont, _newobj, _out, _parsegif, _parsejpg, _parsepng, _parsepngstream, _putcatalog, _putfonts, _putheader, _putimage, _putimages, _putinfo, _putpages, _putresourcedict, _putresources, _putstream, _puttrailer, _putxobjectdict, _readint, _readstream, _textstring,

### AcceptPageBreak( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### AddFont( $family, $style = '', $file = '', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$family | n/a |  |
$style | n/a |  | ''
$file | n/a |  | ''

#### Return value

Type | Description
--- | ---
n/a | n/a

### AddLink( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### AddPage( $orientation = '', $size = '', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$orientation | n/a |  | ''
$size | n/a |  | ''

#### Return value

Type | Description
--- | ---
n/a | n/a

### AliasNbPages( $alias = '{nb}', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$alias | n/a |  | '{nb}'

#### Return value

Type | Description
--- | ---
n/a | n/a

### Cell( $w, $h = 0, $txt = '', $border = 0, $ln = 0, $align = '', $fill = false, $link = '', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$w | n/a |  |
$h | n/a |  | 0
$txt | n/a |  | ''
$border | n/a |  | 0
$ln | n/a |  | 0
$align | n/a |  | ''
$fill | n/a |  | false
$link | n/a |  | ''

#### Return value

Type | Description
--- | ---
n/a | n/a

### Close( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### Error( $msg, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$msg | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### FPDF( $orientation = 'P', $unit = 'mm', $size = 'A4', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$orientation | n/a |  | 'P'
$unit | n/a |  | 'mm'
$size | n/a |  | 'A4'

#### Return value

Type | Description
--- | ---
n/a | n/a

### Footer( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### GetStringWidth( $s, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$s | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### GetX( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### GetY( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### Header( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### Image( $file, $x = null, $y = null, $w = 0, $h = 0, $type = '', $link = '', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$file | n/a |  |
$x | n/a |  | null
$y | n/a |  | null
$w | n/a |  | 0
$h | n/a |  | 0
$type | n/a |  | ''
$link | n/a |  | ''

#### Return value

Type | Description
--- | ---
n/a | n/a

### Line( $x1, $y1, $x2, $y2, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$x1 | n/a |  |
$y1 | n/a |  |
$x2 | n/a |  |
$y2 | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### Link( $x, $y, $w, $h, $link, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$x | n/a |  |
$y | n/a |  |
$w | n/a |  |
$h | n/a |  |
$link | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### Ln( $h = null, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$h | n/a |  | null

#### Return value

Type | Description
--- | ---
n/a | n/a

### MultiCell( $w, $h, $txt, $border = 0, $align = 'J', $fill = false, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$w | n/a |  |
$h | n/a |  |
$txt | n/a |  |
$border | n/a |  | 0
$align | n/a |  | 'J'
$fill | n/a |  | false

#### Return value

Type | Description
--- | ---
n/a | n/a

### Open( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### Output( $name = '', $dest = '', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$name | n/a |  | ''
$dest | n/a |  | ''

#### Return value

Type | Description
--- | ---
n/a | n/a

### PageNo( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### Rect( $x, $y, $w, $h, $style = '', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$x | n/a |  |
$y | n/a |  |
$w | n/a |  |
$h | n/a |  |
$style | n/a |  | ''

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetAuthor( $author, $isUTF8 = false, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$author | n/a |  |
$isUTF8 | n/a |  | false

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetAutoPageBreak( $auto, $margin = 0, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$auto | n/a |  |
$margin | n/a |  | 0

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetCompression( $compress, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$compress | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetCreator( $creator, $isUTF8 = false, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$creator | n/a |  |
$isUTF8 | n/a |  | false

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetDisplayMode( $zoom, $layout = 'default', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$zoom | n/a |  |
$layout | n/a |  | 'default'

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetDrawColor( $r, $g = null, $b = null, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$r | n/a |  |
$g | n/a |  | null
$b | n/a |  | null

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetFillColor( $r, $g = null, $b = null, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$r | n/a |  |
$g | n/a |  | null
$b | n/a |  | null

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetFont( $family, $style = '', $size = 0, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$family | n/a |  |
$style | n/a |  | ''
$size | n/a |  | 0

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetFontSize( $size, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$size | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetKeywords( $keywords, $isUTF8 = false, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$keywords | n/a |  |
$isUTF8 | n/a |  | false

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetLeftMargin( $margin, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$margin | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetLineWidth( $width, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$width | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetLink( $link, $y = 0, $page = -1, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$link | n/a |  |
$y | n/a |  | 0
$page | n/a |  | -1

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetMargins( $left, $top, $right = null, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$left | n/a |  |
$top | n/a |  |
$right | n/a |  | null

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetRightMargin( $margin, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$margin | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetSubject( $subject, $isUTF8 = false, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$subject | n/a |  |
$isUTF8 | n/a |  | false

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetTextColor( $r, $g = null, $b = null, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$r | n/a |  |
$g | n/a |  | null
$b | n/a |  | null

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetTitle( $title, $isUTF8 = false, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$title | n/a |  |
$isUTF8 | n/a |  | false

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetTopMargin( $margin, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$margin | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetX( $x, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$x | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetXY( $x, $y, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$x | n/a |  |
$y | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### SetY( $y, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$y | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### Text( $x, $y, $txt, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$x | n/a |  |
$y | n/a |  |
$txt | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### Write( $h, $txt, $link = '', ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$h | n/a |  |
$txt | n/a |  |
$link | n/a |  | ''

#### Return value

Type | Description
--- | ---
n/a | n/a

### _UTF8toUTF16( $s, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$s | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _beginpage( $orientation, $size, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$orientation | n/a |  |
$size | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _checkoutput( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _dochecks( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _dounderline( $x, $y, $txt, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$x | n/a |  |
$y | n/a |  |
$txt | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _enddoc( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _endpage( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _escape( $s, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$s | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _getpagesize( $size, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$size | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _loadfont( $font, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$font | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _newobj( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _out( $s, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$s | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _parsegif( $file, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$file | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _parsejpg( $file, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$file | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _parsepng( $file, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$file | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _parsepngstream( $f, $file, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$f | n/a |  |
$file | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putcatalog( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putfonts( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putheader( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putimage( $info, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$info | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putimages( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putinfo( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putpages( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putresourcedict( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putresources( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putstream( $s, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$s | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _puttrailer( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _putxobjectdict( ) : n/a

#### Return value

Type | Description
--- | ---
n/a | n/a

### _readint( $f, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$f | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _readstream( $f, $n, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$f | n/a |  |
$n | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

### _textstring( $s, ) : n/a

#### Arguments

Name | Type | Description | Default
--- | --- | --- | ---
$s | n/a |  |

#### Return value

Type | Description
--- | ---
n/a | n/a

#### Properties

$AliasNbPages, $AutoPageBreak, $ColorFlag, $CoreFonts, $CurOrientation, $CurPageSize, $CurrentFont, $DefOrientation, $DefPageSize, $DrawColor, $FillColor, $FontFamily, $FontFiles, $FontSize, $FontSizePt, $FontStyle, $InFooter, $InHeader, $LayoutMode, $LineWidth, $PDFVersion, $PageBreakTrigger, $PageLinks, $PageSizes, $StdPageSizes, $TextColor, $ZoomMode, $author, $bMargin, $buffer, $cMargin, $compress, $creator, $diffs, $fontpath, $fonts, $h, $hPt, $images, $k, $keywords, $lMargin, $lasth, $links, $n, $offsets, $page, $pages, $rMargin, $state, $subject, $tMargin, $title, $underline, $w, $wPt, $ws, $x, $y,

### public $AliasNbPages =

### public $AutoPageBreak =

### public $ColorFlag =

### public $CoreFonts =

### public $CurOrientation =

### public $CurPageSize =

### public $CurrentFont =

### public $DefOrientation =

### public $DefPageSize =

### public $DrawColor =

### public $FillColor =

### public $FontFamily =

### public $FontFiles =

### public $FontSize =

### public $FontSizePt =

### public $FontStyle =

### public $InFooter =

### public $InHeader =

### public $LayoutMode =

### public $LineWidth =

### public $PDFVersion =

### public $PageBreakTrigger =

### public $PageLinks =

### public $PageSizes =

### public $StdPageSizes =

### public $TextColor =

### public $ZoomMode =

### public $author =

### public $bMargin =

### public $buffer =

### public $cMargin =

### public $compress =

### public $creator =

### public $diffs =

### public $fontpath =

### public $fonts =

### public $h =

### public $hPt =

### public $images =

### public $k =

### public $keywords =

### public $lMargin =

### public $lasth =

### public $links =

### public $n =

### public $offsets =

### public $page =

### public $pages =

### public $rMargin =

### public $state =

### public $subject =

### public $tMargin =

### public $title =

### public $underline =

### public $w =

### public $wPt =

### public $ws =

### public $x =

### public $y =

Documentation was generated by phpDocumentor 2.0.1 .

# Namespaces

- global

# Packages

- Crypt_AES
  - Crypt_AES
    Pure-PHP implementation of AES.
- Crypt_DES
  - Crypt_DES
    Pure-PHP implementation of DES.
- Crypt_Hash
  - Crypt_Hash
    Pure-PHP implementations of keyed-hash message authentication codes (HMACs) and various cryptographic hashing functions.
- Crypt_RC4
  - Crypt_RC4
    Pure-PHP implementation of RC4.
- Crypt_RSA
  - Crypt_RSA
    Pure-PHP PKCS#1 compliant implementation of RSA.
- Crypt_Random
- Crypt_Rijndael
  - Crypt_Rijndael
    Pure-PHP implementation of Rijndael.
- Crypt_TerraDES
  - Crypt_TripleDES
    Pure-PHP implementation of Triple DES.
- Crypt_TripleDES
- Help
- LDAP
  - Ldap
    Ldap manages connection to LDAP and includes several helper functions.
- Math_BigInteger
  - Math_BigInteger
    Pure-PHP arbitrary precision integer arithmetic library. Supports base-2, base-10, base-16, and base-256 numbers.
- Net_SFTP
  - Net_SFTP
    Pure-PHP implementations of SFTP.
- Net_SSH1
  - Net_SSH1
    Pure-PHP implementation of SSHv1.
- Net_SSH2
  - Net_SSH2
    Pure-PHP implementation of SSHv2.
- PDF
  - UFPDF
    Main UFPDF class for creating Unicode PDF documents
  - lamPDF
    Creates a LAM information page in PDF format.
  - xmlParser
    Simple XML parser.
- PHP_Compat
- configuration
  - LAMCfgMain
    This class manages config.cfg.
  - LAMConfig
    This class manages .conf files.
- horde.cipher
  - Horde_Cipher_blowfish
- lam
  - smbHash
    Calculates NT and LM hashes.
- lib
  - AttributeType
    Represents an LDAP AttributeType
  - MatchingRule
    Represents an LDAP MatchingRule
  - MatchingRuleUse
    Represents an LDAP schema matchingRuleUse entry
  - ObjectClass
    Represents an LDAP objectClass
  - ObjectClassAttribute
    A simple class for representing AttributeTypes used only by the ObjectClass class.
  - SchemaItem
    Generic parent class for all schema items. A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax.
  - Syntax
    Represents an LDAP Syntax
- lists
  - lamAsteriskExtList
    Generates the list view.
  - lamBooleanListOption
    Boolean option for list configuration.
  - lamDHCPList
    Generates the list view.
  - lamGroupList
    Generates the list view.
  - lamHostList
    Generates the list view.
  - lamList
    Generates the list view.
  - lamListOption
    Represents a list configuration option.
  - lamListTool
    Represents a tool which can be included in the account lists.
  - lamMailAliasList
    Generates the list view.
  - lamNetgroupList
    Generates the list view.
  - lamSelectListOption
    Boolean option for list configuration.
  - lamSmbDomainList
    Generates the list view.
  - lamUserList
    Generates the list view.
- main
- metaHTML
  - htmlAccountPageButton
    Prints a button for the account pages.
  - htmlButton
    Simple button.
  - htmlDiv
    Creates a simple DIV element.
  - htmlElement
    Represents a HTML element.
  - htmlEqualHeight
    Sets all given elements to the same height.
  - htmlEqualWidth
    Sets all given elements to the same width.
  - htmlFieldset
    Generates a fieldset.
  - htmlGroup
    Groups multiple htmlElements.
  - htmlHelpLink
    Renders a help link.
  - htmlHiddenInput
    Generates a hidden input field.
  - htmlHorizontalLine
    Prints a horizontal line.
  - htmlImage
    Prints the HTML code for an image.
  - htmlInputCheckbox
    Prints the HTML code for a checkbox.
  - htmlInputField
    A standard input field.
  - htmlInputFileUpload
    Prints the HTML code for a file upload field.
  - htmlInputTextarea
    Prints the HTML code for a textarea.
  - htmlJavaScript
    Creates a JavaScript element.
  - htmlLink
    Generates a link.
  - htmlOutputText
    Prints the text and escapes contained HTML code by default.
  - htmlRadio
    Represents a radio selection.
  - htmlSelect
    Represents a select box.
  - htmlSortableList
    Creates a list of elements that can be sorted by the user via drag'n'drop.
  - htmlSpacer
    Adds an empty space with given width and height.
  - htmlStatusMessage
    Prints a status message (e.g. error message).
  - htmlSubTitle
    Generates a subtitle line. This is used to group multiple fields.
  - htmlTable
    Structures elements using a table.
  - htmlTableExtendedInputCheckbox
    Checkbox with descriptive label and help link.
  - htmlTableExtendedInputField
    An extended input field that combines label, input field and help.
  - htmlTableExtendedInputFileUpload
    File upload with descriptive label and help link.
  - htmlTableExtendedInputTextarea
    Text area with label and help link.
  - htmlTableExtendedRadio
    Radio list with descriptive label and help link.
  - htmlTableExtendedSelect
    Select with label and help link.
  - htmlTableRow
    A row inside a htmlTable.
  - htmlTitle
    Generates a title line. This is used for page titles.
- modules
  - account
    Manages the object class "account" for users and hosts.
  - accountContainer
    This class includes all modules and attributes of an account.
  - asteriskAccount
    Manages the Asterisk extension of user accounts.
  - asteriskExtension
    Manages Asterisk extensions.
  - asteriskVoicemail
    Manages the Asterisk extension of user accounts.
  - authorizedServiceObject
    Provides Authorized Service for accounts.
  - baseModule
    Parent class of all account modules.
  - ddns
    Manages DDNS entries.
  - dhcp_settings
    Manages DHCP entries.
  - eduPerson
    Manages the eduPerson extension for user accounts.
  - fixed_ip
    Manages DHCP host entries.
  - freeRadius
    Manages FreeRadius accounts.
  - generalInformation
    Shows general information like the creation time of an account.
  - hostObject
    Manages the hosts to which a user may login.
  - ieee802device
    Provides MAC addresses for hosts.
  - imapAccess
    Manages mailboxes on an IMAP server.
  - inetLocalMailRecipient
    Provides mail routing for users.
  - inetOrgPerson
    This module manages LDAP attributes of the object class inetOrgPerson (e.g. name and address).
  - kolabGroup
    Manages Kolab group accounts.
  - kolabUser
    Manages Kolab user accounts.
  - ldapPublicKey
    Manages SSH public keys.
  - nisMailAlias
    Provides NIS mail alias management.
  - nisnetgroup
    Manages entries based on the object class nisNetgroup.
  - passwordService
    This interface needs to be implemented by all account modules which manage passwords.
  - posixAccount
    Manages the object class "posixAccount" for users and hosts.
  - posixGroup
    Manages the object class "posixGroup" for groups.
  - puppetClient
    Manages Puppet configuration options.
  - quota
    Manages quotas for users and groups.
  - range
    Manages DHCP ranges for DHCP server.
  - samba3domain
    Represents a Samba 3 domain entry
  - sambaDomain
    Manages Samba 3 domain entries.
  - sambaGroupMapping
    Manages the object class "sambaGroupMapping" for groups.
  - sambaMungedDial
    Manages terminal server settings for Samba 3.
  - sambaSamAccount
    Manages the object class "sambaSamAccount" for users and hosts.
  - shadowAccount
    Manages the object class "shadowAccount" for users.
  - smbHash
    Calculates NT and LM hashes.
  - systemQuotas
    Manages user quotas with the object class systemQuotas.
  - windowsGroup
    Manages Windows AD (e.g. Samba 4) groups.
  - windowsHost
    Manages Windows AD (e.g. Samba 4) hosts.
  - windowsPosixGroup
    Manages Unix groups in Windows LDAP schema.
  - windowsUser
    Manages Windows AD (e.g. Samba 4) users.
- phpLDAPadmin
- profiles
- selfService
  - selfServiceProfile
    Includes all settings of a self service profile.
- tools
  - LAMSubTool
    Represents a subtool.
  - LAMTool
    Represents a tool.
  - toolFileUpload
    File upload
  - toolOUEditor
    OU editor
  - toolPDFEditor
    PDF editor
  - toolProfileEditor
    Profile editor
  - toolSchemaBrowser
    Schema browser
  - toolServerInformation
    Server information
  - toolTests
    Tests page
- types
  - asteriskExt
    The account type for Asterisk extensions.
  - baseType
    This is the parent class of all account types.
  - dhcp
    The account type for DHCP
  - group
    The account type for group accounts (e.g. Unix and Samba).
  - host
    The account type for host accounts (e.g. Samba).
  - mailAlias
    The account type for mail aliases.
  - netgroup
    The account type for NIS netgroups.
  - smbDomain
    The account type for Samba domains.
  - user
    The account type for user accounts (e.g. Unix, Samba and Kolab).